{
  "openapi" : "3.1.0",
  "info" : {
    "title" : "Forward Networks: Network Setup API",
    "description" : "Specify the network devices to collect from and model",
    "contact" : {
      "email" : "support@forwardnetworks.com"
    },
    "license" : {
      "name" : "MIT",
      "url" : "https://spdx.org/licenses/MIT"
    },
    "version" : "${apiVersion}"
  },
  "servers" : [
    {
      "url" : "/"
    }
  ],
  "tags" : [
    {
      "name" : "Network Setup",
      "description" : "Network Setup Controller"
    }
  ],
  "paths" : {
    "/api/networks/{networkId}/classic-devices" : {
      "get" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Gets a network’s classic devices",
        "operationId" : "getClassicDevicesUsingGET",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          },
          {
            "name" : "with",
            "in" : "query",
            "description" : "with",
            "required" : false,
            "allowEmptyValue" : false,
            "style" : "form",
            "explode" : true,
            "schema" : {
              "type" : "array",
              "items" : {
                "type" : "string",
                "enum" : [
                  "tags",
                  "locationId",
                  "testResult"
                ]
              }
            }
          }
        ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ClassicDevices"
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      },
      "post" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Adds a new classic device",
        "operationId" : "addClassicDeviceUsingPOST",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/NewClassicDevice"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "201" : {
            "description" : "Created",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ClassicDevice"
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      },
      "patch" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Updates specific classic devices",
        "description" : "All JSON properties in the `update` object are optional. Include only the properties you wish to change.",
        "operationId" : "patchClassicDevicesUsingPATCH",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ClassicDevicesPatch"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "204" : {
            "description" : "No Content",
            "content" : { }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      }
    },
    "/api/networks/{networkId}/classic-devices?action=addBatch" : {
      "post" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Adds new classic devices",
        "operationId" : "addClassicDevicesUsingPOST",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "array",
                "items" : {
                  "$ref" : "#/components/schemas/NewClassicDevice"
                }
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "204" : {
            "description" : "No Content",
            "content" : { }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      }
    },
    "/api/networks/{networkId}/classic-devices?action=deleteAll" : {
      "post" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Deletes all of a network’s classic devices",
        "operationId" : "deleteAllClassicDevicesUsingPOST",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "responses" : {
          "204" : {
            "description" : "No Content",
            "content" : { }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      }
    },
    "/api/networks/{networkId}/classic-devices?action=deleteBatch" : {
      "post" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Deletes specific classic devices",
        "operationId" : "deleteClassicDevicesUsingPOST",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/DeviceCriteria"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "204" : {
            "description" : "No Content",
            "content" : { }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      }
    },
    "/api/networks/{networkId}/classic-devices?action=getBatch" : {
      "post" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Gets specific classic devices",
        "operationId" : "getSpecificClassicDevicesUsingPOST",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          },
          {
            "name" : "with",
            "in" : "query",
            "description" : "with",
            "required" : false,
            "allowEmptyValue" : false,
            "style" : "form",
            "explode" : true,
            "schema" : {
              "type" : "array",
              "items" : {
                "type" : "string",
                "enum" : [
                  "tags",
                  "locationId",
                  "testResult"
                ]
              }
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/DeviceNames"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ClassicDevices"
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      }
    },
    "/api/networks/{networkId}/classic-devices?action=putBatch" : {
      "post" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Adds or updates classic devices",
        "operationId" : "putClassicDevicesUsingPOST",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "array",
                "items" : {
                  "$ref" : "#/components/schemas/NewClassicDevice"
                }
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "204" : {
            "description" : "No Content",
            "content" : { }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      }
    },
    "/api/networks/{networkId}/classic-devices/{deviceName}" : {
      "get" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Gets a classic device",
        "operationId" : "getClassicDeviceUsingGET",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          },
          {
            "name" : "deviceName",
            "in" : "path",
            "description" : "deviceName",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          },
          {
            "name" : "with",
            "in" : "query",
            "description" : "with",
            "required" : false,
            "allowEmptyValue" : false,
            "style" : "form",
            "explode" : true,
            "schema" : {
              "type" : "array",
              "items" : {
                "type" : "string",
                "enum" : [
                  "tags",
                  "locationId",
                  "testResult"
                ]
              }
            }
          }
        ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ClassicDevice"
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      },
      "put" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Adds or updates a classic device",
        "operationId" : "putClassicDeviceUsingPUT",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          },
          {
            "name" : "deviceName",
            "in" : "path",
            "description" : "deviceName",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/NewClassicDevice"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ClassicDevice"
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      },
      "delete" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Deletes a classic device",
        "operationId" : "deleteClassicDeviceUsingDELETE",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          },
          {
            "name" : "deviceName",
            "in" : "path",
            "description" : "deviceName",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "responses" : {
          "204" : {
            "description" : "No Content",
            "content" : { }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      },
      "patch" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Updates a classic device",
        "description" : "All JSON properties in the request body are optional. Include only the properties you wish to change.",
        "operationId" : "patchClassicDeviceUsingPATCH",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          },
          {
            "name" : "deviceName",
            "in" : "path",
            "description" : "deviceName",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ClassicDevicePatch"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ClassicDevice"
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      }
    },
    "/api/networks/{networkId}/cli-credentials" : {
      "get" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Lists network device CLI credentials",
        "description" : "Substitutes a system-generated identifier for each sensitive `password`.",
        "operationId" : "getCliCredentialsUsingGET",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/StoredCliCredential"
                  }
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      },
      "post" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Creates a network device CLI credential",
        "operationId" : "createCliCredentialUsingPOST",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/NewCliCredential"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/CliCredential"
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      },
      "patch" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Creates network device CLI credentials",
        "description" : "The response contains the same credentials as the request, in the same order.",
        "operationId" : "createCliCredentialsUsingPATCH",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "array",
                "items" : {
                  "$ref" : "#/components/schemas/NewCliCredential"
                }
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/StoredCliCredential"
                  }
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      }
    },
    "/api/networks/{networkId}/cli-credentials/{credentialId}" : {
      "get" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Gets a network device CLI credential",
        "description" : "Substitutes a system-generated identifier for the sensitive `password`.",
        "operationId" : "getCliCredentialUsingGET",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          },
          {
            "name" : "credentialId",
            "in" : "path",
            "description" : "credentialId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/StoredCliCredential"
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      },
      "delete" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Deletes a network device CLI credential",
        "operationId" : "deleteCliCredentialUsingDELETE",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          },
          {
            "name" : "credentialId",
            "in" : "path",
            "description" : "credentialId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "responses" : {
          "204" : {
            "description" : "No Content",
            "content" : { }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      },
      "patch" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Updates a network device CLI credential",
        "description" : "All JSON properties in the request body are optional. Include only the properties you wish to change.",
        "operationId" : "patchCliCredentialUsingPATCH",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          },
          {
            "name" : "credentialId",
            "in" : "path",
            "description" : "credentialId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CliCredentialUpdate"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/StoredCliCredential"
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      }
    },
    "/api/networks/{networkId}/http-credentials" : {
      "get" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Lists network device HTTP credentials",
        "description" : "Substitutes a system-generated identifier for each sensitive `password`.",
        "operationId" : "getHttpCredentialsUsingGET",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/StoredHttpCredential"
                  }
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      },
      "post" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Creates a network device HTTP credential",
        "operationId" : "createHttpCredentialUsingPOST",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/NewHttpCredential"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/HttpCredential"
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      },
      "patch" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Creates network device HTTP credentials",
        "description" : "The response contains the same credentials as the request, in the same order.",
        "operationId" : "createHttpCredentialsUsingPATCH",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "type" : "array",
                "items" : {
                  "$ref" : "#/components/schemas/NewHttpCredential"
                }
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/StoredHttpCredential"
                  }
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      }
    },
    "/api/networks/{networkId}/http-credentials/{credentialId}" : {
      "get" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Gets a network device HTTP credential",
        "description" : "Substitutes a system-generated identifier for the sensitive `password`.",
        "operationId" : "getHttpCredentialUsingGET",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          },
          {
            "name" : "credentialId",
            "in" : "path",
            "description" : "credentialId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/StoredHttpCredential"
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      },
      "delete" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Deletes a network device HTTP credential",
        "operationId" : "deleteHttpCredentialUsingDELETE",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          },
          {
            "name" : "credentialId",
            "in" : "path",
            "description" : "credentialId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "responses" : {
          "204" : {
            "description" : "No Content",
            "content" : { }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      },
      "patch" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Updates a network device HTTP credential",
        "description" : "All JSON properties in the request body are optional. Include only the properties you wish to change.",
        "operationId" : "patchHttpCredentialUsingPATCH",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          },
          {
            "name" : "credentialId",
            "in" : "path",
            "description" : "credentialId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/HttpCredentialUpdate"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "204" : {
            "description" : "No Content",
            "content" : { }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      }
    },
    "/api/networks/{networkId}/jumpServers" : {
      "get" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Lists a network’s jump servers",
        "description" : "Substitutes a system-generated identifier for each sensitive `password` and `sshKey`.",
        "operationId" : "getJumpServersUsingGET",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "array",
                  "items" : {
                    "$ref" : "#/components/schemas/StoredJumpServer"
                  }
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      },
      "post" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Creates a jump server",
        "operationId" : "createJumpServerUsingPOST",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/NewJumpServer"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/JumpServer"
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      }
    },
    "/api/networks/{networkId}/jumpServers/{jumpServerId}" : {
      "delete" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Deletes a jump server",
        "operationId" : "deleteJumpServerUsingDELETE",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          },
          {
            "name" : "jumpServerId",
            "in" : "path",
            "description" : "jumpServerId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "object"
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      },
      "patch" : {
        "tags" : [
          "Network Setup"
        ],
        "summary" : "Updates a jump server",
        "description" : "All JSON properties in the request body are optional. Include only the properties you wish to change.",
        "operationId" : "editJumpServerUsingPATCH",
        "parameters" : [
          {
            "name" : "networkId",
            "in" : "path",
            "description" : "networkId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          },
          {
            "name" : "jumpServerId",
            "in" : "path",
            "description" : "jumpServerId",
            "required" : true,
            "style" : "simple",
            "explode" : false,
            "schema" : {
              "type" : "string"
            }
          }
        ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/JumpServerUpdate"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "description" : "OK",
            "content" : {
              "application/json" : {
                "schema" : {
                  "type" : "object"
                }
              }
            }
          }
        },
        "deprecated" : false,
        "security" : [
          {
            "api_token" : [ ]
          }
        ]
      }
    }
  },
  "components" : {
    "schemas" : {
      "ClassicDevice" : {
        "required" : [
          "host",
          "name"
        ],
        "type" : "object",
        "properties" : {
          "name" : {
            "type" : "string",
            "description" : "A name that’s unique (ignoring case) among all of the network’s collection source names. May consist of letters, digits, dots, hyphens, and underscores.",
            "examples" : [
              "my-router"
            ]
          },
          "type" : {
            "type" : "string",
            "description" : "Auto-detected during connectivity testing if unspecified.",
            "examples" : [
              "checkpoint_ssh"
            ],
            "enum" : [
              "aruba_controller_ssh",
              "aruba_switch_ssh",
              "aruba_aos_cx_ssh",
              "128t_conductor_full",
              "128t_conductor",
              "128t_router",
              "a10_acos_ssh",
              "arista_eos_ssh",
              "avi_controller_ssh",
              "avi_controller_ssh_cli_user",
              "avi_controller_ssh_via_host",
              "avi_controller_https_api",
              "avi_controller_http_api",
              "bluecoat_ssh",
              "cisco_ios_ssh",
              "cisco_ios_telnet",
              "cisco_ios_xe_ssh",
              "cisco_ios_xe_telnet",
              "cisco_ios_xr_ssh",
              "cisco_nxos_ssh",
              "cisco_nxos_telnet",
              "cisco_asa_ssh",
              "cisco_asa_telnet",
              "cisco_asa_admin_ssh",
              "cisco_asa_child_ssh",
              "cisco_ftd_ssh",
              "cisco_fxos_ssh",
              "cisco_nxos_aci_ssh",
              "cisco_apic_ssh",
              "cisco_apic_api",
              "cisco_ndo_api",
              "cisco_apic_only_ssh",
              "cisco_sg_ssh",
              "juniper_junos_ssh",
              "juniper_srx_ssh",
              "juniper_netscreen_ssh",
              "pica8_ovs_ofctl_ssh",
              "linux_ovs_ofctl_ssh",
              "f5_ssh",
              "f5_os_hypervisor_ssh",
              "checkpoint_ssh",
              "checkpoint_ssh_nonexpert",
              "checkpoint_ssh_with_manager",
              "checkpoint_mgmt_api",
              "fortinet_ssh",
              "hp_comware_ssh",
              "hp_provision_ssh",
              "huawei_switch_ssh",
              "panos_ssh",
              "viasat_encryptor_snmp3",
              "netscaler_ssh",
              "cumulus_ssh",
              "riverbed_steelhead_ssh",
              "riverbed_interceptor_ssh",
              "cisco_ucs_ssh",
              "avaya_sr_ssh",
              "avaya_sr_telnet",
              "silver_peak_edgeconnect_ssh",
              "silver_peak_orchestrator_api",
              "prisma_sdwan_ssh",
              "prisma_sdwan_api",
              "pensando_api",
              "forcepoint_https_api",
              "forcepoint_http_api",
              "forcepoint_ssh",
              "cisco_sdwan_ssh",
              "cisco_sdwan_vsmart_ssh",
              "bluecat_http",
              "bluecat_https",
              "bluecat_v2_http",
              "bluecat_v2_https",
              "nokia_ssh",
              "brocade_switch_ssh",
              "versa_flexvnf_ssh",
              "versa_switch_ssh",
              "cisco_encs_nfv_ssh",
              "extreme_switch_ssh",
              "mist_dashboard_api",
              "dell_os6_switch_ssh",
              "dell_os6_switch_telnet",
              "dell_os9_switch_ssh",
              "dell_os9_switch_telnet",
              "dell_os10_switch_ssh",
              "dell_os10_switch_telnet",
              "sonic_dell_enterprise_ssh",
              "gem1_api",
              "taclane_encryptor_snmp",
              "sonic_edge_core_ssh"
            ]
          },
          "host" : {
            "type" : "string",
            "description" : "IP address or hostname used to connect to the device.",
            "examples" : [
              "10.121.7.13"
            ]
          },
          "port" : {
            "minimum" : 1,
            "maximum" : 65535,
            "type" : "integer",
            "description" : "Port used to connect to the device. The default value depends on the collection protocol: 22 for SSH, 443 for HTTPS, etc.",
            "format" : "int32",
            "examples" : [
              22
            ]
          },
          "cliCredentialId" : {
            "type" : "string",
            "description" : "The `id` of a CliCredential of type `LOGIN`. Relevant for devices collected via SSH or Telnet. Credential auto-association will be attempted using credentials configured to allow it if this property is unspecified and collecting from this device requires this kind of credential.",
            "examples" : [
              "L-3"
            ]
          },
          "cliCredential2Id" : {
            "type" : "string",
            "description" : "The `id` of a CliCredential of type `PRIVILEGED_MODE` (for Cisco-like devices) or `SHELL` (for Avi controllers). Credential auto-association will be attempted using credentials configured to allow it if this property is unspecified and collecting from this device requires this kind of credential.",
            "examples" : [
              "PM-2"
            ]
          },
          "httpCredentialId" : {
            "type" : "string",
            "description" : "The `id` of an HttpCredential of type `LOGIN` or `API_KEY`. Relevant for devices collected via HTTPS or HTTP. Credential auto-association will be attempted using credentials configured to allow it if this property is unspecified and collecting from this device requires this kind of credential.",
            "examples" : [
              "H-5"
            ]
          },
          "snmpCredentialId" : {
            "type" : "string",
            "description" : "The `id` of an SnmpCredential. Used to collect performance data (counters) if `enableSnmpCollection` is true. Credential auto-association will be attempted using credentials configured to allow it if this property is unspecified and collecting from this device requires this kind of credential.",
            "examples" : [
              "S-4"
            ]
          },
          "jumpServerId" : {
            "type" : "string",
            "description" : "The `id` of the JumpServer that should be used to collect from this device.",
            "examples" : [
              "J-0"
            ]
          },
          "disableIpv6Collection" : {
            "type" : "boolean",
            "description" : "Disables collection of any IPv6 forwarding state on the device. Defaults to false.",
            "examples" : [
              false
            ]
          },
          "fullCollectionLog" : {
            "type" : "boolean",
            "description" : "Enables more detailed logging during collection. Defaults to false.",
            "examples" : [
              false
            ]
          },
          "paginationMode" : {
            "type" : "string",
            "description" : "The pagination mode to use during collection. Relevant for devices collected via SSH or Telnet. Defaults to `DISABLE_PAGINATION`. Per-command pagination (such as appending `| more`) may be used if set to `ENABLE_PAGINATION` for a device that doesn’t have a per-session pagination mode setting.",
            "examples" : [
              "KEEP_UNCHANGED"
            ],
            "enum" : [
              "KEEP_UNCHANGED",
              "DISABLE_PAGINATION",
              "ENABLE_PAGINATION"
            ]
          },
          "terminalWidth" : {
            "minimum" : 80,
            "maximum" : 500,
            "type" : "integer",
            "description" : "Width of pseudo-terminal in characters. A high value can prevent long lines from wrapping. Defaults to 500. Relevant for devices collected via SSH or Telnet.",
            "format" : "int32",
            "examples" : [
              500
            ]
          },
          "largeRtt" : {
            "type" : "boolean",
            "description" : "Whether the device has a large round-trip time (requires a longer response timeout).",
            "examples" : [
              false
            ]
          },
          "minBytesReadPerSec" : {
            "type" : "integer",
            "description" : "The minimum read rate in bytes/sec required to prevent collection from failing with a `SLOW_READ_RATE_DETECTED` error. Defaults to 500.",
            "format" : "int64",
            "examples" : [
              false
            ]
          },
          "maxConnectionsPerMin" : {
            "type" : "integer",
            "description" : "The maximum number of connections to this device that should be attempted per minute. Setting this property can prevent spurious connectivity test failures if the device’s SSH server is configured with a connection rate limit.",
            "format" : "int32",
            "examples" : [
              10
            ]
          },
          "useFileTransferForLargeOutput" : {
            "type" : "boolean",
            "description" : "Whether to use file transfer instead of printing large command output directly to the shell. This is currently only supported for Juniper devices when executing routing table commands. The primary purpose is to avoid printing large outputs directly to the shell, which on Juniper devices can interfere with packet forwarding performance. Instead, the command output is written to a temporary file on the device and then transferred over a separate connection. After the transfer is complete, the temporary file is deleted to prevent unnecessary disk usage on the device.",
            "examples" : [
              false
            ]
          },
          "bmpStationHost" : {
            "type" : "string",
            "description" : "IP address or hostname of the BMP station from which BMP collection should be peformed for this device. If set, a jump server won’t be used for BMP collection.",
            "examples" : [
              "10.121.7.33"
            ]
          },
          "bgpAndBmpFailureHandling" : {
            "type" : "string",
            "description" : "How to handle BGP or BMP collection failure. Defaults to `FAIL_DEVICE`.",
            "examples" : [
              "SWITCH_TO_CLI"
            ],
            "enum" : [
              "FAIL_DEVICE",
              "SWITCH_TO_CLI",
              "ALWAYS_USE_CLI",
              "ALWAYS_USE_BMP",
              "CONTINUE_WITHOUT_BGP_DATA"
            ]
          },
          "collectBgpAdvertisements" : {
            "type" : "boolean",
            "description" : "Whether BGP advertisements should be collected. Defaults to `false` unless advertisement collection is required to model a [synthetic device](#synthetic-devices) connected to this device.",
            "examples" : [
              false
            ]
          },
          "bgpTableType" : {
            "type" : "string",
            "description" : "The BGP route types to collect. Honored only if `collectedBgpAdvertisements` is true. Defaults to `BOTH`.",
            "examples" : [
              "BOTH"
            ],
            "enum" : [
              "BOTH",
              "ADJ_RIB_IN",
              "ADJ_RIB_OUT"
            ]
          },
          "bgpPeerType" : {
            "type" : "string",
            "description" : "The BGP peer types from which to collect routes. Honored only if `collectedBgpAdvertisements` is true. Defaults to `BOTH`.",
            "examples" : [
              "BOTH"
            ],
            "enum" : [
              "BOTH",
              "EBGP",
              "IBGP"
            ]
          },
          "bgpSubnetsToCollect" : {
            "type" : "array",
            "description" : "Restricts collection of BGP advertisements to specific subnets if the device supports it. Honored only if `collectBgpAdvertisements` is `true`.",
            "examples" : [
              [
                "123.223.47.0/24"
              ]
            ],
            "items" : {
              "type" : "string"
            }
          },
          "prompt" : {
            "type" : "string",
            "description" : "A case-insensitive glob pattern used to identify an interactive prompt. When this pattern matches the end of the prompt, ignoring any trailing whitespace, the Collector will enter the configured `promptResponse`. Relevant for devices collected via SSH or Telnet.",
            "examples" : [
              "y/n"
            ]
          },
          "promptResponse" : {
            "type" : "string",
            "description" : "What the Collector should enter in response to a device prompt matching `prompt` in order to proceed. Relevant for devices collected via SSH or Telnet. Required if `prompt` is set.",
            "examples" : [
              "y"
            ]
          },
          "collect" : {
            "type" : "boolean",
            "description" : "Whether to collect from the device. Defaults to true.",
            "examples" : [
              false
            ]
          },
          "note" : {
            "type" : "string",
            "description" : "An optional description or note about the device."
          },
          "enableSnmpCollection" : {
            "type" : "boolean",
            "description" : "Whether to collect performance data (counters) via SNMP. Defaults to false.",
            "examples" : [
              false
            ]
          },
          "highCpuUsage" : {
            "minimum" : 0.75,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which CPU usage is considered high. Defaults to 0.8 (80.0%).",
            "format" : "float",
            "examples" : [
              0.85
            ]
          },
          "highMemoryUsage" : {
            "minimum" : 0.75,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which memory usage is considered high. Defaults to 0.9 (90.0%).",
            "format" : "float",
            "examples" : [
              0.92
            ]
          },
          "highInputUtilization" : {
            "minimum" : 0.75,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which input interface utilization is considered high. Defaults to 0.9 (90.0%).",
            "format" : "float",
            "examples" : [
              0.8
            ]
          },
          "highOutputUtilization" : {
            "minimum" : 0.75,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which output interface utilization is considered high. Defaults to 0.9 (90.0%).",
            "format" : "float",
            "examples" : [
              0.88
            ]
          },
          "mediumCpuUsage" : {
            "minimum" : 0.5,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which CPU usage is considered medium high. Has no default value.",
            "format" : "float",
            "examples" : [
              0.7
            ]
          },
          "mediumMemoryUsage" : {
            "minimum" : 0.5,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which memory usage is considered medium high. Has no default value.",
            "format" : "float",
            "examples" : [
              0.71
            ]
          },
          "mediumInputUtilization" : {
            "minimum" : 0.5,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which input interface utilization is considered medium high. Has no default value.",
            "format" : "float",
            "examples" : [
              0.72
            ]
          },
          "mediumOutputUtilization" : {
            "minimum" : 0.5,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which output interface utilization is considered medium high. Has no default value.",
            "format" : "float",
            "examples" : [
              0.73
            ]
          },
          "cloudLocationId" : {
            "type" : "string",
            "description" : "ID of the cloud location at which this device was discovered. Present for cloud-based virtualized devices only.",
            "examples" : [
              "AWS.us-east-1"
            ]
          },
          "cloudSetupId" : {
            "type" : "string",
            "description" : "Name of the cloud setup associated with this device’s discovery. Present for cloud-based virtualized devices only.",
            "examples" : [
              "my-aws-setup"
            ]
          },
          "cloudDiscoverySource" : {
            "type" : "string",
            "description" : "Account name (AWS), Project ID (GCP), or Subscription ID (Azure) associated with this device’s discovery. Present for cloud-based virtualized devices only.",
            "examples" : [
              "main"
            ]
          },
          "createdById" : {
            "type" : "string",
            "description" : "The ID of the user who created this entity, if known. *Note*: The referenced user account might no longer exist since an administrator can delete accounts.",
            "examples" : [
              "456"
            ]
          },
          "createdAt" : {
            "type" : "string",
            "description" : "When this entity was created, if known.",
            "examples" : [
              "2021-12-29T16:30:45.111Z"
            ]
          },
          "createdBy" : {
            "type" : "string",
            "description" : "The username of the user who created this entity, if known. Absent if the user account has been deleted.",
            "examples" : [
              "me@example.com"
            ]
          },
          "updatedById" : {
            "type" : "string",
            "description" : "The ID of the user who most recently updated this entity, if known. *Note*: The referenced user account might no longer exist since an administrator can delete accounts.",
            "examples" : [
              "789"
            ]
          },
          "updatedAt" : {
            "type" : "string",
            "description" : "When this entity was most recently updated, if known.",
            "examples" : [
              "2024-10-27T21:44:51.345Z"
            ]
          },
          "updatedBy" : {
            "type" : "string",
            "description" : "The username of the user who most recently updated this entity, if known. Absent if the user account has been deleted.",
            "examples" : [
              "you@example.com"
            ]
          },
          "tags" : {
            "type" : "array",
            "description" : "Tags assigned to the device. Present only if specifically requested.",
            "items" : {
              "type" : "string"
            }
          },
          "locationId" : {
            "type" : "string",
            "description" : "The `id` of the device’s assigned Location (see [Network Locations](#network-locations)). Present only if specifically requested. Defaults to \"default\" (the Unassigned location).",
            "examples" : [
              "atl"
            ]
          },
          "testResult" : {
            "$ref" : "#/components/schemas/SourceConnectivityResult",
            "description" : "The device’s most recent connectivity test result. Present only if specifically requested. Absent if the device’s connectivity hasn’t been tested since the last edit to the device."
          }
        }
      },
      "ClassicDevicePatch" : {
        "type" : "object",
        "properties" : {
          "name" : {
            "type" : "string",
            "description" : "A name that’s unique (ignoring case) among all of the network’s collection source names. May consist of letters, digits, dots, hyphens, and underscores. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              "my-router"
            ]
          },
          "type" : {
            "type" : "string",
            "description" : "Auto-detected during connectivity testing if unspecified. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              "checkpoint_ssh"
            ],
            "enum" : [
              "aruba_controller_ssh",
              "aruba_switch_ssh",
              "aruba_aos_cx_ssh",
              "128t_conductor_full",
              "128t_conductor",
              "128t_router",
              "a10_acos_ssh",
              "arista_eos_ssh",
              "avi_controller_ssh",
              "avi_controller_ssh_cli_user",
              "avi_controller_ssh_via_host",
              "avi_controller_https_api",
              "avi_controller_http_api",
              "bluecoat_ssh",
              "cisco_ios_ssh",
              "cisco_ios_telnet",
              "cisco_ios_xe_ssh",
              "cisco_ios_xe_telnet",
              "cisco_ios_xr_ssh",
              "cisco_nxos_ssh",
              "cisco_nxos_telnet",
              "cisco_asa_ssh",
              "cisco_asa_telnet",
              "cisco_asa_admin_ssh",
              "cisco_asa_child_ssh",
              "cisco_ftd_ssh",
              "cisco_fxos_ssh",
              "cisco_nxos_aci_ssh",
              "cisco_apic_ssh",
              "cisco_apic_api",
              "cisco_ndo_api",
              "cisco_apic_only_ssh",
              "cisco_sg_ssh",
              "juniper_junos_ssh",
              "juniper_srx_ssh",
              "juniper_netscreen_ssh",
              "pica8_ovs_ofctl_ssh",
              "linux_ovs_ofctl_ssh",
              "f5_ssh",
              "f5_os_hypervisor_ssh",
              "checkpoint_ssh",
              "checkpoint_ssh_nonexpert",
              "checkpoint_ssh_with_manager",
              "checkpoint_mgmt_api",
              "fortinet_ssh",
              "hp_comware_ssh",
              "hp_provision_ssh",
              "huawei_switch_ssh",
              "panos_ssh",
              "viasat_encryptor_snmp3",
              "netscaler_ssh",
              "cumulus_ssh",
              "riverbed_steelhead_ssh",
              "riverbed_interceptor_ssh",
              "cisco_ucs_ssh",
              "avaya_sr_ssh",
              "avaya_sr_telnet",
              "silver_peak_edgeconnect_ssh",
              "silver_peak_orchestrator_api",
              "prisma_sdwan_ssh",
              "prisma_sdwan_api",
              "pensando_api",
              "forcepoint_https_api",
              "forcepoint_http_api",
              "forcepoint_ssh",
              "cisco_sdwan_ssh",
              "cisco_sdwan_vsmart_ssh",
              "bluecat_http",
              "bluecat_https",
              "bluecat_v2_http",
              "bluecat_v2_https",
              "nokia_ssh",
              "brocade_switch_ssh",
              "versa_flexvnf_ssh",
              "versa_switch_ssh",
              "cisco_encs_nfv_ssh",
              "extreme_switch_ssh",
              "mist_dashboard_api",
              "dell_os6_switch_ssh",
              "dell_os6_switch_telnet",
              "dell_os9_switch_ssh",
              "dell_os9_switch_telnet",
              "dell_os10_switch_ssh",
              "dell_os10_switch_telnet",
              "sonic_dell_enterprise_ssh",
              "gem1_api",
              "taclane_encryptor_snmp",
              "sonic_edge_core_ssh"
            ]
          },
          "host" : {
            "type" : "string",
            "description" : "IP address or hostname used to connect to the device. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              "10.121.7.13"
            ]
          },
          "port" : {
            "minimum" : 1,
            "maximum" : 65535,
            "type" : "integer",
            "description" : "Port used to connect to the device. The default value depends on the collection protocol: 22 for SSH, 443 for HTTPS, etc. Use `null` to clear. Omit to leave the property alone.",
            "format" : "int32",
            "examples" : [
              22
            ]
          },
          "cliCredentialId" : {
            "type" : "string",
            "description" : "The `id` of a CliCredential of type `LOGIN`. Relevant for devices collected via SSH or Telnet. Credential auto-association will be attempted using credentials configured to allow it if this property is unspecified and collecting from this device requires this kind of credential. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              "L-3"
            ]
          },
          "cliCredential2Id" : {
            "type" : "string",
            "description" : "The `id` of a CliCredential of type `PRIVILEGED_MODE` (for Cisco-like devices) or `SHELL` (for Avi controllers). Credential auto-association will be attempted using credentials configured to allow it if this property is unspecified and collecting from this device requires this kind of credential. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              "PM-2"
            ]
          },
          "httpCredentialId" : {
            "type" : "string",
            "description" : "The `id` of an HttpCredential of type `LOGIN` or `API_KEY`. Relevant for devices collected via HTTPS or HTTP. Credential auto-association will be attempted using credentials configured to allow it if this property is unspecified and collecting from this device requires this kind of credential. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              "H-5"
            ]
          },
          "snmpCredentialId" : {
            "type" : "string",
            "description" : "The `id` of an SnmpCredential. Used to collect performance data (counters) if `enableSnmpCollection` is true. Credential auto-association will be attempted using credentials configured to allow it if this property is unspecified and collecting from this device requires this kind of credential. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              "S-4"
            ]
          },
          "jumpServerId" : {
            "type" : "string",
            "description" : "The `id` of the JumpServer that should be used to collect from this device. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              "J-0"
            ]
          },
          "disableIpv6Collection" : {
            "type" : "boolean",
            "description" : "Disables collection of any IPv6 forwarding state on the device. Defaults to false. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              false
            ]
          },
          "fullCollectionLog" : {
            "type" : "boolean",
            "description" : "Enables more detailed logging during collection. Defaults to false. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              false
            ]
          },
          "paginationMode" : {
            "type" : "string",
            "description" : "The pagination mode to use during collection. Relevant for devices collected via SSH or Telnet. Defaults to `DISABLE_PAGINATION`. Per-command pagination (such as appending `| more`) may be used if set to `ENABLE_PAGINATION` for a device that doesn’t have a per-session pagination mode setting. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              "KEEP_UNCHANGED"
            ],
            "enum" : [
              "KEEP_UNCHANGED",
              "DISABLE_PAGINATION",
              "ENABLE_PAGINATION"
            ]
          },
          "terminalWidth" : {
            "minimum" : 80,
            "maximum" : 500,
            "type" : "integer",
            "description" : "Width of pseudo-terminal in characters. A high value can prevent long lines from wrapping. Defaults to 500. Relevant for devices collected via SSH or Telnet. Use `null` to clear. Omit to leave the property alone.",
            "format" : "int32",
            "examples" : [
              500
            ]
          },
          "largeRtt" : {
            "type" : "boolean",
            "description" : "Whether the device has a large round-trip time (requires a longer response timeout). Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              false
            ]
          },
          "minBytesReadPerSec" : {
            "type" : "integer",
            "description" : "The minimum read rate in bytes/sec required to prevent collection from failing with a `SLOW_READ_RATE_DETECTED` error. Defaults to 500. Use `null` to clear. Omit to leave the property alone.",
            "format" : "int64",
            "examples" : [
              false
            ]
          },
          "maxConnectionsPerMin" : {
            "type" : "integer",
            "description" : "The maximum number of connections to this device that should be attempted per minute. Setting this property can prevent spurious connectivity test failures if the device’s SSH server is configured with a connection rate limit. Use `null` to clear. Omit to leave the property alone.",
            "format" : "int32",
            "examples" : [
              10
            ]
          },
          "useFileTransferForLargeOutput" : {
            "type" : "boolean",
            "description" : "Whether to use file transfer instead of printing large command output directly to the shell. This is currently only supported for Juniper devices when executing routing table commands. The primary purpose is to avoid printing large outputs directly to the shell, which on Juniper devices can interfere with packet forwarding performance. Instead, the command output is written to a temporary file on the device and then transferred over a separate connection. After the transfer is complete, the temporary file is deleted to prevent unnecessary disk usage on the device. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              false
            ]
          },
          "bmpStationHost" : {
            "type" : "string",
            "description" : "IP address or hostname of the BMP station from which BMP collection should be peformed for this device. If set, a jump server won’t be used for BMP collection. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              "10.121.7.33"
            ]
          },
          "bgpAndBmpFailureHandling" : {
            "type" : "string",
            "description" : "How to handle BGP or BMP collection failure. Defaults to `FAIL_DEVICE`. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              "SWITCH_TO_CLI"
            ],
            "enum" : [
              "FAIL_DEVICE",
              "SWITCH_TO_CLI",
              "ALWAYS_USE_CLI",
              "ALWAYS_USE_BMP",
              "CONTINUE_WITHOUT_BGP_DATA"
            ]
          },
          "collectBgpAdvertisements" : {
            "type" : "boolean",
            "description" : "Whether BGP advertisements should be collected. Defaults to `false` unless advertisement collection is required to model a [synthetic device](#synthetic-devices) connected to this device. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              false
            ]
          },
          "bgpTableType" : {
            "type" : "string",
            "description" : "The BGP route types to collect. Honored only if `collectedBgpAdvertisements` is true. Defaults to `BOTH`. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              "BOTH"
            ],
            "enum" : [
              "BOTH",
              "ADJ_RIB_IN",
              "ADJ_RIB_OUT"
            ]
          },
          "bgpPeerType" : {
            "type" : "string",
            "description" : "The BGP peer types from which to collect routes. Honored only if `collectedBgpAdvertisements` is true. Defaults to `BOTH`. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              "BOTH"
            ],
            "enum" : [
              "BOTH",
              "EBGP",
              "IBGP"
            ]
          },
          "bgpSubnetsToCollect" : {
            "type" : "array",
            "description" : "Restricts collection of BGP advertisements to specific subnets if the device supports it. Honored only if `collectBgpAdvertisements` is `true`. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              [
                "123.223.47.0/24"
              ]
            ],
            "items" : {
              "type" : "string"
            }
          },
          "prompt" : {
            "type" : "string",
            "description" : "A case-insensitive glob pattern used to identify an interactive prompt. When this pattern matches the end of the prompt, ignoring any trailing whitespace, the Collector will enter the configured `promptResponse`. Relevant for devices collected via SSH or Telnet. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              "y/n"
            ]
          },
          "promptResponse" : {
            "type" : "string",
            "description" : "What the Collector should enter in response to a device prompt matching `prompt` in order to proceed. Relevant for devices collected via SSH or Telnet. Required if `prompt` is set. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              "y"
            ]
          },
          "collect" : {
            "type" : "boolean",
            "description" : "Whether to collect from the device. Defaults to true. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              false
            ]
          },
          "note" : {
            "type" : "string",
            "description" : "An optional description or note about the device. Use `null` to clear. Omit to leave the property alone."
          },
          "enableSnmpCollection" : {
            "type" : "boolean",
            "description" : "Whether to collect performance data (counters) via SNMP. Defaults to false. Use `null` to clear. Omit to leave the property alone.",
            "examples" : [
              false
            ]
          },
          "highCpuUsage" : {
            "minimum" : 0.75,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which CPU usage is considered high. Defaults to 0.8 (80.0%). Use `null` to clear. Omit to leave the property alone.",
            "format" : "float",
            "examples" : [
              0.85
            ]
          },
          "highMemoryUsage" : {
            "minimum" : 0.75,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which memory usage is considered high. Defaults to 0.9 (90.0%). Use `null` to clear. Omit to leave the property alone.",
            "format" : "float",
            "examples" : [
              0.92
            ]
          },
          "highInputUtilization" : {
            "minimum" : 0.75,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which input interface utilization is considered high. Defaults to 0.9 (90.0%). Use `null` to clear. Omit to leave the property alone.",
            "format" : "float",
            "examples" : [
              0.8
            ]
          },
          "highOutputUtilization" : {
            "minimum" : 0.75,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which output interface utilization is considered high. Defaults to 0.9 (90.0%). Use `null` to clear. Omit to leave the property alone.",
            "format" : "float",
            "examples" : [
              0.88
            ]
          },
          "mediumCpuUsage" : {
            "minimum" : 0.5,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which CPU usage is considered medium high. Has no default value. Use `null` to clear. Omit to leave the property alone.",
            "format" : "float",
            "examples" : [
              0.7
            ]
          },
          "mediumMemoryUsage" : {
            "minimum" : 0.5,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which memory usage is considered medium high. Has no default value. Use `null` to clear. Omit to leave the property alone.",
            "format" : "float",
            "examples" : [
              0.71
            ]
          },
          "mediumInputUtilization" : {
            "minimum" : 0.5,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which input interface utilization is considered medium high. Has no default value. Use `null` to clear. Omit to leave the property alone.",
            "format" : "float",
            "examples" : [
              0.72
            ]
          },
          "mediumOutputUtilization" : {
            "minimum" : 0.5,
            "maximum" : 1.0,
            "type" : "number",
            "description" : "Threshold at or above which output interface utilization is considered medium high. Has no default value. Use `null` to clear. Omit to leave the property alone.",
            "format" : "float",
            "examples" : [
              0.73
            ]
          }
        }
      },
      "ClassicDevices" : {
        "type" : "object",
        "properties" : {
          "devices" : {
            "type" : "array",
            "items" : {
              "$ref" : "#/components/schemas/ClassicDevice"
            }
          }
        }
      },
      "ClassicDevicesPatch" : {
        "type" : "object",
        "properties" : {
          "names" : {
            "type" : "array",
            "items" : {
              "type" : "string"
            }
          },
          "update" : {
            "$ref" : "#/components/schemas/ClassicDevicePatch"
          }
        }
      },
      "CliCredential" : {
        "required" : [
          "name",
          "password",
          "type"
        ],
        "type" : "object",
        "properties" : {
          "id" : {
            "type" : "string",
            "examples" : [
              "L-3"
            ]
          },
          "type" : {
            "type" : "string",
            "examples" : [
              "LOGIN"
            ],
            "enum" : [
              "LOGIN",
              "PRIVILEGED_MODE",
              "SHELL",
              "API_KEY"
            ]
          },
          "name" : {
            "type" : "string",
            "description" : "for display purposes in the application",
            "examples" : [
              "admin (sjc)"
            ]
          },
          "username" : {
            "type" : "string",
            "description" : "required for `LOGIN` and `SHELL` types",
            "examples" : [
              "admin"
            ]
          },
          "password" : {
            "type" : "string",
            "description" : "A system-generated identifier is substituted for the actual password in responses.",
            "examples" : [
              "my-s3cr3t-p4s$w0rd"
            ]
          },
          "privilegedModePasswordId" : {
            "type" : "string",
            "description" : "only valid for `LOGIN` type. If set, only this credential will be used on devices that require a privileged mode password during a connectivity test or collection. If a privileged mode password is specified both here and in a `ClassicDevice`, the one in the `ClassicDevice` will be used.",
            "examples" : [
              "PM-6"
            ]
          },
          "autoAssociate" : {
            "type" : "boolean",
            "description" : "Defaults to true for `LOGIN`, `PRIVILEGED_MODE`, and `SHELL` types. Not supported for other types."
          }
        }
      },
      "CliCredentialUpdate" : {
        "type" : "object",
        "properties" : {
          "name" : {
            "type" : "string",
            "description" : "for display purposes in the application",
            "examples" : [
              "admin (sjc)"
            ]
          },
          "username" : {
            "type" : "string",
            "description" : "for `LOGIN` and `SHELL` types",
            "examples" : [
              "admin"
            ]
          },
          "password" : {
            "type" : "string",
            "examples" : [
              "my-s3cr3t-p4s$w0rd"
            ]
          },
          "privilegedModePasswordId" : {
            "type" : "string",
            "description" : "only valid for `LOGIN` type. If set, only this credential will be used on devices that require a privileged mode password during a connectivity test or collection. If a privileged mode password is specified both here and in a `ClassicDevice`, the one in the `ClassicDevice` will be used.",
            "examples" : [
              "31d70f9f-a279-44ac-a621-ab3181966ad8"
            ]
          },
          "autoAssociate" : {
            "type" : "boolean",
            "description" : "Only supported for `LOGIN`, `PRIVILEGED_MODE`, and `SHELL` types."
          }
        }
      },
      "DeviceCriteria" : {
        "required" : [
          "names"
        ],
        "type" : "object",
        "properties" : {
          "names" : {
            "type" : "array",
            "examples" : [
              [
                "router_01",
                "router_02"
              ]
            ],
            "items" : {
              "type" : "string"
            }
          }
        }
      },
      "DeviceNames" : {
        "type" : "object",
        "properties" : {
          "names" : {
            "type" : "array",
            "items" : {
              "type" : "string"
            }
          }
        }
      },
      "HttpCredential" : {
        "required" : [
          "name",
          "password",
          "type"
        ],
        "type" : "object",
        "properties" : {
          "id" : {
            "type" : "string",
            "examples" : [
              "H-3"
            ]
          },
          "type" : {
            "type" : "string",
            "examples" : [
              "LOGIN"
            ],
            "enum" : [
              "LOGIN",
              "API_KEY"
            ]
          },
          "name" : {
            "type" : "string",
            "description" : "For display purposes in the application",
            "examples" : [
              "admin (sjc)"
            ]
          },
          "username" : {
            "type" : "string",
            "description" : "Required for the `LOGIN` type",
            "examples" : [
              "admin"
            ]
          },
          "password" : {
            "type" : "string",
            "description" : "A system-generated identifier is substituted for the actual password in responses.",
            "examples" : [
              "my-s3cr3t-p4s$w0rd"
            ]
          },
          "loginType" : {
            "type" : "string",
            "description" : "Required only for a credential of type `LOGIN` used by a Silver Peak Orchestrator",
            "examples" : [
              "LOCAL"
            ],
            "enum" : [
              "LOCAL",
              "RADIUS",
              "TACACS",
              "OAUTH",
              "JWT",
              "SAML"
            ]
          },
          "autoAssociate" : {
            "type" : "boolean",
            "description" : "Defaults to true for the `LOGIN` type. Not allowed for the `API_KEY` type.",
            "examples" : [
              false
            ]
          }
        }
      },
      "HttpCredentialUpdate" : {
        "required" : [
          "name",
          "password"
        ],
        "type" : "object",
        "properties" : {
          "name" : {
            "type" : "string",
            "description" : "For display purposes in the application",
            "examples" : [
              "admin (sjc)"
            ]
          },
          "username" : {
            "type" : "string",
            "description" : "Required for the `LOGIN` type",
            "examples" : [
              "admin"
            ]
          },
          "password" : {
            "type" : "string",
            "examples" : [
              "my-s3cr3t-p4s$w0rd"
            ]
          },
          "loginType" : {
            "type" : "string",
            "description" : "Required only for a credential of type `LOGIN` used by a Silver Peak Orchestrator",
            "examples" : [
              "LOCAL"
            ],
            "enum" : [
              "LOCAL",
              "RADIUS",
              "TACACS",
              "OAUTH",
              "JWT",
              "SAML"
            ]
          },
          "autoAssociate" : {
            "type" : "boolean",
            "description" : "Defaults to true for the `LOGIN` type. Not allowed for the `API_KEY` type.",
            "examples" : [
              false
            ]
          }
        }
      },
      "JumpServer" : {
        "required" : [
          "host",
          "username"
        ],
        "type" : "object",
        "properties" : {
          "id" : {
            "type" : "string",
            "examples" : [
              "8c4a168e-c6ca-4978-bcc9-c0ec7f64a164"
            ]
          },
          "host" : {
            "type" : "string",
            "examples" : [
              "10.121.7.14"
            ]
          },
          "port" : {
            "type" : "integer",
            "description" : "defaults to 22",
            "format" : "int32",
            "examples" : [
              23
            ]
          },
          "username" : {
            "type" : "string",
            "examples" : [
              "admin"
            ]
          },
          "password" : {
            "type" : "string",
            "description" : "Either this or `sshKey` must be provided in requests. A system-generated identifier is substituted for the actual password in responses.",
            "examples" : [
              "my-s3cr3t-p4s$w0rd"
            ]
          },
          "sshKey" : {
            "type" : "string",
            "description" : "SSH private key for authentication. Either this or `password` must be provided in requests. Requires `supportsPortForwarding` to be true. A system-generated identifier is substituted for the actual key in responses.",
            "examples" : [
              "-----BEGIN RSA PRIVATE KEY-----\nMIIPIQIBAzCCDtoGCSqGSIb3DQEHAa..."
            ]
          },
          "sshCert" : {
            "type" : "string",
            "description" : "SSH user certificate for authentication. Applicable only for certificate based authentication and requires `sshKey` to be provided.",
            "examples" : [
              "ssh-rsa-cert-v01@openssh.com AAAAHHNzaC1yc2EtY2VydC12MDFAb3BlbnNzaC5jb20AAA..."
            ]
          },
          "supportsPortForwarding" : {
            "type" : "boolean",
            "description" : "defaults to true",
            "examples" : [
              false
            ]
          },
          "commandFormat" : {
            "type" : "string",
            "description" : "applicable when supportsPortForwarding is false, defaults to UNIX",
            "examples" : [
              "CISCO_IOS"
            ],
            "enum" : [
              "UNIX",
              "CISCO_IOS",
              "JUNOS",
              "PANORAMA"
            ]
          },
          "authenticationTimeoutSeconds" : {
            "type" : "integer",
            "description" : "seconds to wait for the jump server authentication response. Defaults to 20.",
            "format" : "int32",
            "examples" : [
              20
            ]
          }
        }
      },
      "JumpServerUpdate" : {
        "type" : "object",
        "properties" : {
          "host" : {
            "type" : "string",
            "examples" : [
              "10.121.7.14"
            ]
          },
          "port" : {
            "type" : "integer",
            "format" : "int32",
            "examples" : [
              23
            ]
          },
          "username" : {
            "type" : "string",
            "examples" : [
              "admin"
            ]
          },
          "password" : {
            "type" : "string",
            "examples" : [
              "my-s3cr3t-p4s$w0rd"
            ]
          },
          "sshKey" : {
            "type" : "string",
            "examples" : [
              "-----BEGIN RSA PRIVATE KEY-----\nMIIPIQIBAzCCDtoGCSqGSIb3DQEHAa..."
            ]
          },
          "sshCert" : {
            "type" : "string",
            "examples" : [
              "ssh-rsa-cert-v01@openssh.com AAAAHHNzaC1yc2EtY2VydC12MDFAb3BlbnNzaC5jb20AAA..."
            ]
          },
          "supportsPortForwarding" : {
            "type" : "boolean",
            "examples" : [
              false
            ]
          },
          "commandFormat" : {
            "type" : "string",
            "examples" : [
              "CISCO_IOS"
            ],
            "enum" : [
              "UNIX",
              "CISCO_IOS",
              "JUNOS",
              "PANORAMA"
            ]
          },
          "authenticationTimeoutSeconds" : {
            "type" : "integer",
            "format" : "int32",
            "examples" : [
              20
            ]
          }
        }
      },
      "NewClassicDevice" : {
        "required" : [
          "host",
          "name"
        ],
        "type" : "object",
        "properties" : {
          "name" : {
            "type" : "string",
            "description" : "A name that’s unique (ignoring case) among all of the network’s collection source names. May consist of letters, digits, dots, hyphens, and underscores.",
            "examples" : [
              "my-router"
            ]
          },
          "type" : {
            "type" : "string",
            "description" : "Auto-detected during connectivity testing if unspecified.",
            "examples" : [
              "checkpoint_ssh"
            ],
            "enum" : [
              "aruba_controller_ssh",
              "aruba_switch_ssh",
              "aruba_aos_cx_ssh",
              "128t_conductor_full",
              "128t_conductor",
              "128t_router",
              "a10_acos_ssh",
              "arista_eos_ssh",
              "avi_controller_ssh",
              "avi_controller_ssh_cli_user",
              "avi_controller_ssh_via_host",
              "avi_controller_https_api",
              "avi_controller_http_api",
              "bluecoat_ssh",
              "cisco_ios_ssh",
              "cisco_ios_telnet",
              "cisco_ios_xe_ssh",
              "cisco_ios_xe_telnet",
              "cisco_ios_xr_ssh",
              "cisco_nxos_ssh",
              "cisco_nxos_telnet",
              "cisco_asa_ssh",
              "cisco_asa_telnet",
              "cisco_asa_admin_ssh",
              "cisco_asa_child_ssh",
              "cisco_ftd_ssh",
              "cisco_fxos_ssh",
              "cisco_nxos_aci_ssh",
              "cisco_apic_ssh",
              "cisco_apic_api",
              "cisco_ndo_api",
              "cisco_apic_only_ssh",
              "cisco_sg_ssh",
              "juniper_junos_ssh",
              "juniper_srx_ssh",
              "juniper_netscreen_ssh",
              "pica8_ovs_ofctl_ssh",
              "linux_ovs_ofctl_ssh",
              "f5_ssh",
              "f5_os_hypervisor_ssh",
              "checkpoint_ssh",
              "checkpoint_ssh_nonexpert",
              "checkpoint_ssh_with_manager",
              "checkpoint_mgmt_api",
              "fortinet_ssh",
              "hp_comware_ssh",
              "hp_provision_ssh",
              "huawei_switch_ssh",
              "panos_ssh",
              "viasat_encryptor_snmp3",
              "netscaler_ssh",
              "cumulus_ssh",
              "riverbed_steelhead_ssh",
              "riverbed_interceptor_ssh",
              "cisco_ucs_ssh",
              "avaya_sr_ssh",
              "avaya_sr_telnet",
              "silver_peak_edgeconnect_ssh",
              "silver_peak_orchestrator_api",
              "prisma_sdwan_ssh",
              "prisma_sdwan_api",
              "pensando_api",
              "forcepoint_https_api",
              "forcepoint_http_api",
              "forcepoint_ssh",
              "cisco_sdwan_ssh",
              "cisco_sdwan_vsmart_ssh",
              "bluecat_http",
              "bluecat_https",
              "bluecat_v2_http",
              "bluecat_v2_https",
              "nokia_ssh",
              "brocade_switch_ssh",
              "versa_flexvnf_ssh",
              "versa_switch_ssh",
              "cisco_encs_nfv_ssh",
              "extreme_switch_ssh",
              "mist_dashboard_api",
              "dell_os6_switch_ssh",
              "dell_os6_switch_telnet",
              "dell_os9_switch_ssh",
              "dell_os9_switch_telnet",
              "dell_os10_switch_ssh",
              "dell_os10_switch_telnet",
              "sonic_dell_enterprise_ssh",
              "gem1_api",
              "taclane_encryptor_snmp",
              "sonic_edge_core_ssh"
            ]
          },
          "host" : {
            "type" : "string",
            "description" : "IP address or hostname used to connect to the device.",
            "examples" : [
              "10.121.7.13"
            ]
          },
          "port" : {
            "minimum" : 1,
            "maximum" : 65535,
            "type" : "integer",
            "description" : "Port used to connect to the device. The default value depends on the collection protocol: 22 for SSH, 443 for HTTPS, etc.",
            "format" : "int32",
            "examples" : [
              22
            ]
          },
          "cliCredentialId" : {
            "type" : "string",
            "description" : "The `id` of a CliCredential of type `LOGIN`. Relevant for devices collected via SSH or Telnet. Credential auto-association will be attempted using credentials configured to allow it if this property is unspecified and collecting from this device requires this kind of credential.",
            "examples" : [
              "L-3"
            ]
          },
          "cliCredential2Id" : {
            "type" : "string",
            "description" : "The `id` of a CliCredential of type `PRIVILEGED_MODE` (for Cisco-like devices) or `SHELL` (for Avi controllers). Credential auto-association will be attempted using credentials configured to allow it if this property is unspecified and collecting from this device requires this kind of credential.",
            "examples" : [
              "PM-2"
            ]
          },
          "httpCredentialId" : {
            "type" : "string",
            "description" : "The `id` of an HttpCredential of type `LOGIN` or `API_KEY`. Relevant for devices collected via HTTPS or HTTP. Credential auto-association will be attempted using credentials configured to allow it if this property is unspecified and collecting from this device requires this kind of credential.",
            "examples" : [
              "H-5"
            ]
          },
          "snmpCredentialId" : {
            "type" : "string",
            "description" : "The `id` of an SnmpCredential. Used to collect performance data (counters) if `enableSnmpCollection` is true. Credential auto-association will be attempted using credentials configured to allow it if this property is unspecified and collecting from this device requires this kind of credential.",
            "examples" : [
              "S-4"
            ]
          },
          "jumpServerId" : {
            "type" : "string",
            "description" : "The `id` of the JumpServer that should be used to collect from this device.",
            "examples" : [
              "J-0"
            ]
          },
          "disableIpv6Collection" : {
            "type" : "boolean",
            "description" : "Disables collection of any IPv6 forwarding state on the device. Defaults to false.",
            "examples" : [
              false
            ]
          },
          "fullCollectionLog" : {
            "type" : "boolean",
            "description" : "Enables more detailed logging during collection. Defaults to false.",
            "examples" : [
              false
            ]
          },
          "paginationMode" : {
            "type" : "string",
            "description" : "The pagination mode to use during collection. Relevant for devices collected via SSH or Telnet. Defaults to `DISABLE_PAGINATION`. Per-command pagination (such as appending `| more`) may be used if set to `ENABLE_PAGINATION` for a device that doesn’t have a per-session pagination mode setting.",
            "examples" : [
              "KEEP_UNCHANGED"
            ],
            "enum" : [
              "KEEP_UNCHANGED",
              "DISABLE_PAGINATION",
              "ENABLE_PAGINATION"
            ]
          },
          "terminalWidth" : {
            "minimum" : 80,
            "maximum" : 500,
            "type" : "integer",
            "description" : "Width of pseudo-terminal in characters. A high value can prevent long lines from wrapping. Defaults to 500. Relevant for devices collected via SSH or Telnet.",
            "format" : "int32",
            "examples" : [
              500
            ]
          },
          "largeRtt" : {
            "type" : "boolean",
            "description" : "Whether the device has a large round-trip time (requires a longer response timeout).",
            "examples" : [
              false
            ]
          },
          "minBytesReadPerSec" : {
            "type" : "integer",
            "description" : "The minimum read rate in bytes/sec required to prevent collection from failing with a `SLOW_READ_RATE_DETECTED` error. Defaults to 500.",
            "format" : "int64",
            "examples" : [
              false
            ]
          },
          "maxConnectionsPerMin" : {
            "type" : "integer",
            "description" : "The maximum number of connections to this device that should be attempted per minute. Setting this property can prevent spurious connectivity test failures if the device’s SSH server is configured with a connection rate limit.",
            "format" : "int32",
            "examples" : [
              10
            ]
          },
          "useFileTransferForLargeOutput" : {
            "type" : "boolean",
            "description" : "Whether to use file transfer instead of printing large command output directly to the shell. This is currently only supported for Juniper devices when executing routing table commands. The primary purpose is to avoid printing large outputs directly to the shell, which on Juniper devices can interfere with packet forwarding performance. Instead, the command output is written to a temporary file on the device and then transferred over a separate connection. After the transfer is complete, the temporary file is deleted to prevent unnecessary disk usage on the device.",
            "examples" : [
              false
            ]
          },
          "bmpStationHost" : {
            "type" : "string",
            "description" : "IP address or hostname of the BMP station from which BMP collection should be peformed for this device. If set, a jump server won’t be used for BMP collection.",
            "examples" : [
              "10.121.7.33"
            ]
          },
          "bgpAndBmpFailureHandling" : {
            "type" : "string",
            "description" : "How to handle BGP or BMP collection failure. Defaults to `FAIL_DEVICE`.",
            "examples" : [
              "SWITCH_TO_CLI"
            ],
            "enum" : [
              "FAIL_DEVICE",
              "SWITCH_TO_CLI",
              "ALWAYS_USE_CLI",
              "ALWAYS_USE_BMP",
              "CONTINUE_WITHOUT_BGP_DATA"
            ]
          },
          "collectBgpAdvertisements" : {
            "type" : "boolean",
            "description" : "Whether BGP advertisements should be collected. Defaults to `false` unless advertisement collection is required to model a [synthetic device](#synthetic-devices) connected to this device.",
            "examples" : [
              false
            ]
          },
          "bgpTableType" : {
            "type" : "string",
            "description" : "The BGP route types to collect. Honored only if `collectedBgpAdvertisements` is true. Defaults to `BOTH`.",
            "examples" : [
              "BOTH"
            ],
            "enum" : [
              "BOTH",
              "ADJ_RIB_IN",
              "ADJ_RIB_OUT"
            ]
          },
          "bgpPeerType" : {
            "type" : "string",
            "description" : "The BGP peer types from which to collect routes. Honored only if `collectedBgpAdvertisements` is true. Defaults to `BOTH`.",
            "examples" : [
              "BOTH"
            ],
            "enum" : [
              "BOTH",
              "EBGP",
              "IBGP"
            ]
          },
          "bgpSubnetsToCollect" : {
            "type" : "array",
[...]
